Package com.ocient.jdbc.proto

## Class PlanProtocol.SystemConfigurationVirtualOperator.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SystemConfigurationVirtualOperator.Builder>
      - - com.ocient.jdbc.proto.PlanProtocol.SystemConfigurationVirtualOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.SystemConfigurationVirtualOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.SystemConfigurationVirtualOperator

    public static final class PlanProtocol.SystemConfigurationVirtualOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SystemConfigurationVirtualOperator.Builder>
    implements PlanProtocol.SystemConfigurationVirtualOperatorOrBuilder

Protobuf type `xg.db.sqlPlans.SystemConfigurationVirtualOperator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`PlanProtocol.SystemConfigurationVirtualOperator.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.SystemConfigurationVirtualOperator` `build()`
`PlanProtocol.SystemConfigurationVirtualOperator` `buildPartial()`
`PlanProtocol.SystemConfigurationVirtualOperator.Builder` `clear()`
`PlanProtocol.SystemConfigurationVirtualOperator.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PlanProtocol.SystemConfigurationVirtualOperator.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PlanProtocol.SystemConfigurationVirtualOperator.Builder` `clearSecurityToken()` The security token of the logged-in user
`PlanProtocol.SystemConfigurationVirtualOperator.Builder` `clone()`
`PlanProtocol.SystemConfigurationVirtualOperator` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`PlanProtocol.securityToken` `getSecurityToken()` The security token of the logged-in user
`PlanProtocol.securityToken.Builder` `getSecurityTokenBuilder()` The security token of the logged-in user
`PlanProtocol.securityTokenOrBuilder` `getSecurityTokenOrBuilder()` The security token of the logged-in user
`boolean` `hasSecurityToken()` The security token of the logged-in user
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`PlanProtocol.SystemConfigurationVirtualOperator.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PlanProtocol.SystemConfigurationVirtualOperator.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`PlanProtocol.SystemConfigurationVirtualOperator.Builder` `mergeFrom​(PlanProtocol.SystemConfigurationVirtualOperator other)`
`PlanProtocol.SystemConfigurationVirtualOperator.Builder` `mergeSecurityToken​(PlanProtocol.securityToken value)` The security token of the logged-in user
`PlanProtocol.SystemConfigurationVirtualOperator.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.SystemConfigurationVirtualOperator.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.SystemConfigurationVirtualOperator.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PlanProtocol.SystemConfigurationVirtualOperator.Builder` `setSecurityToken​(PlanProtocol.securityToken value)` The security token of the logged-in user
`PlanProtocol.SystemConfigurationVirtualOperator.Builder` `setSecurityToken​(PlanProtocol.securityToken.Builder builderForValue)` The security token of the logged-in user
`PlanProtocol.SystemConfigurationVirtualOperator.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SystemConfigurationVirtualOperator.Builder>`

#### clear

    public PlanProtocol.SystemConfigurationVirtualOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SystemConfigurationVirtualOperator.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SystemConfigurationVirtualOperator.Builder>`

#### getDefaultInstanceForType

    public PlanProtocol.SystemConfigurationVirtualOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PlanProtocol.SystemConfigurationVirtualOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PlanProtocol.SystemConfigurationVirtualOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PlanProtocol.SystemConfigurationVirtualOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SystemConfigurationVirtualOperator.Builder>`

#### setField

    public PlanProtocol.SystemConfigurationVirtualOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                            Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SystemConfigurationVirtualOperator.Builder>`

#### clearField

    public PlanProtocol.SystemConfigurationVirtualOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SystemConfigurationVirtualOperator.Builder>`

#### clearOneof

    public PlanProtocol.SystemConfigurationVirtualOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SystemConfigurationVirtualOperator.Builder>`

#### setRepeatedField

    public PlanProtocol.SystemConfigurationVirtualOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                                    int index,
                                                                                    Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SystemConfigurationVirtualOperator.Builder>`

#### addRepeatedField

    public PlanProtocol.SystemConfigurationVirtualOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                                    Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SystemConfigurationVirtualOperator.Builder>`

#### mergeFrom

    public PlanProtocol.SystemConfigurationVirtualOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.SystemConfigurationVirtualOperator.Builder>`

#### mergeFrom

    public PlanProtocol.SystemConfigurationVirtualOperator.Builder mergeFrom​(PlanProtocol.SystemConfigurationVirtualOperator other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SystemConfigurationVirtualOperator.Builder>`

#### mergeFrom

    public PlanProtocol.SystemConfigurationVirtualOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                      throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.SystemConfigurationVirtualOperator.Builder>`
Throws:
  `IOException`

#### hasSecurityToken

    public boolean hasSecurityToken()

     The security token of the logged-in user

`.xg.db.sqlPlans.securityToken security_token = 1;`

Specified by:
  `hasSecurityToken` in interface `PlanProtocol.SystemConfigurationVirtualOperatorOrBuilder`
Returns:
  Whether the securityToken field is set.

#### getSecurityToken

    public PlanProtocol.securityToken getSecurityToken()

     The security token of the logged-in user

`.xg.db.sqlPlans.securityToken security_token = 1;`

Specified by:
  `getSecurityToken` in interface `PlanProtocol.SystemConfigurationVirtualOperatorOrBuilder`
Returns:
  The securityToken.

#### setSecurityToken

    public PlanProtocol.SystemConfigurationVirtualOperator.Builder setSecurityToken​(PlanProtocol.securityToken value)

     The security token of the logged-in user

`.xg.db.sqlPlans.securityToken security_token = 1;`

#### setSecurityToken

    public PlanProtocol.SystemConfigurationVirtualOperator.Builder setSecurityToken​(PlanProtocol.securityToken.Builder builderForValue)

     The security token of the logged-in user

`.xg.db.sqlPlans.securityToken security_token = 1;`

#### mergeSecurityToken

    public PlanProtocol.SystemConfigurationVirtualOperator.Builder mergeSecurityToken​(PlanProtocol.securityToken value)

     The security token of the logged-in user

`.xg.db.sqlPlans.securityToken security_token = 1;`

#### clearSecurityToken

    public PlanProtocol.SystemConfigurationVirtualOperator.Builder clearSecurityToken()

     The security token of the logged-in user

`.xg.db.sqlPlans.securityToken security_token = 1;`

#### getSecurityTokenBuilder

    public PlanProtocol.securityToken.Builder getSecurityTokenBuilder()

     The security token of the logged-in user

`.xg.db.sqlPlans.securityToken security_token = 1;`

#### getSecurityTokenOrBuilder

    public PlanProtocol.securityTokenOrBuilder getSecurityTokenOrBuilder()

     The security token of the logged-in user

`.xg.db.sqlPlans.securityToken security_token = 1;`

Specified by:
  `getSecurityTokenOrBuilder` in interface `PlanProtocol.SystemConfigurationVirtualOperatorOrBuilder`

#### setUnknownFields

    public final PlanProtocol.SystemConfigurationVirtualOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SystemConfigurationVirtualOperator.Builder>`

#### mergeUnknownFields

    public final PlanProtocol.SystemConfigurationVirtualOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SystemConfigurationVirtualOperator.Builder>`